local function is_ethan()
	local ethan_name = "ecp_male"
	if managers.network:session() then
		if managers.network:session().local_peer and managers.criminals then
			local peer_id = managers.network:session():local_peer():id()
			local character_name = managers.criminals:character_name_by_peer_id(peer_id)
			return character_name == ethan_name
		end
	end
	return managers.blackmarket:equipped_character() == ethan_name
end

local original_stamina = PlayerManager.stamina_multiplier
function PlayerManager:stamina_multiplier()
	local multiplier = original_stamina(self)
	if is_ethan() then
		multiplier = multiplier / 10
	end
	return multiplier
end

local original_speed = PlayerManager.movement_speed_multiplier
function PlayerManager:movement_speed_multiplier(speed_state, bonus_multiplier, upgrade_level, health_ratio)
	local multiplier = original_speed(self, speed_state, bonus_multiplier, upgrade_level, health_ratio)
	if is_ethan() then
		multiplier = multiplier / 3
	end
	return multiplier
end